Subject: [Cbor] Consolidated set of tags for containers

From: Emile Cormier <[email-masked]>
Date: Thu, 18 Mar 2021 21:27:53 -0300

I branched my consolidated map tags proposal to include tags for list-like
containers. This now lives on the "with-lists" branch on my GitHub repo.
With the addition of list-like containers, the proposal now contains tags
for representing containers like lists, sets and bags.

https://github.com/ecorm/cbor-map-like/blob/with-lists/README.md

Summary of changes:

* Added "Category" column for either "Dictionary" or "Collection"

* Added dictionaries with arbitrary keys and uniform values to make
decoding the traits less insane. This increases the total number of tags
from 20 to 24.

* Removed programming languages section in favor of abstract data types
that model each tag. Much less maintenance this way.

I await your comments, critiques, and questions.